#ifndef PROGRESS_BAR_HPP_
#define PROGRESS_BAR_HPP_

#include <Widget/Widget.hpp>

class ProgressBar final : public Widget
{
public:
    typedef std::function<float()> GetProgressCallback;

private:
    GetProgressCallback getProgress;

public:
    ProgressBar(GetProgressCallback getProgress);

    virtual void draw(GraphicsContext &context) override;
    virtual glm::ivec2 getMinSize() override;
};

#endif